PixelWave

Banks

Get the list of supported banks

GET /masterdata/bank/list

Returns the list of banks supported by the platform.

Authentication

Authorization: Bearer YOUR_JWT_TOKEN

Example Request

curl -X GET 'https://api.admin-pixelwave.com/masterdata/bank/list' \
  -H 'Authorization: Bearer YOUR_JWT_TOKEN' \
  -H 'Accept: application/json'

Success Response

{
  "result": {
    "status": "success",
    "x-request-id": "uuid",
    "codeError": "none",
    "codeErrorExt": "none",
    "message": ""
  },
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Sberbank",
      "bankCode": "sber",
      "logoURL": "/banks/sber.svg"
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "name": "T-Bank",
      "bankCode": "tbank",
      "logoURL": "/banks/tbank.svg"
    }
  ],
  "totalNumberRecords": 0
}

Response Fields

FieldTypeDescription
iduuidBank unique identifier
namestringBank display name
bankCodestringBank code (used in bankName for payouts)
logoURLstringBank logo image URL

Bank Codes Reference

Russian Banks

CodeBank
sberSberbank
tbankT-Bank (Tinkoff)
alfaAlfa-Bank
vtbVTB
ozonOzon Bank
gazpromGazprombank
psbPSB (Promsvyazbank)
raiffeisenRaiffeisen Bank
rosbankRosbank
mkbMKB (Moscow Credit Bank)
bspbBank Saint-Petersburg
rshbRosselkhozbank
ubrrUBRR
expobankExpobank
bcsbankBCS Bank
primoryeBank Primorye
solidarnostBank Solidarnost
svoibankSvoi Bank
mbankMBank

Azerbaijani Banks

CodeBank
kapital_bankKapital Bank
pasha_bankPASHA Bank
abbInternational Bank of Azerbaijan
bank_respublikaBank Respublika
rabitabankRabitabank

On this page